/**
 * @file
 * Main navigation.
 */

@import "../base/variables.css";

.primary-menu-wrapper .navigation.menu--main > .menu > li > a,
.primary-menu-wrapper .navigation.menu--footer > .menu > li > a,
.primary-menu-wrapper .navigation.menu--main > .menu > li,
.primary-menu-wrapper .navigation.menu--footer > .menu > li {
  @apply block;
  height: 100%;
}

.primary-menu-wrapper .navigation.menu--account ul.menu li a {
  @apply block border capitalize px-5 py-1 rounded-sm;
}

@media (max-width: theme('screens.sm')) {
  .primary-menu-wrapper .menu--main > .menu > li > a,
  .menu--footer > .menu > li > a {
    @apply py-3 px-3;
  }
  .primary-menu-wrapper .menu--main > .menu > li + li > a {
    @apply border-t border-white;
  }
}

@screen sm {
  .primary-menu-wrapper .navigation.menu--main > .menu > li > a {
    @apply inline-flex items-center px-1 pt-2 border-b-4 border-transparent text-sm font-bold leading-5 transition duration-150 ease-in-out;
  }
  .primary-menu-wrapper .navigation.menu--main > .menu > li + li > a {
    @apply ml-8;
  }
  .primary-menu-wrapper .navigation.menu--main > .menu > li > a:focus {
    @apply outline-none;
  }
  .primary-menu-wrapper .navigation.menu--main > .menu > li > a:hover {
    @apply border-gray-100;
  }
  .primary-menu-wrapper .navigation.menu--main > .menu > li > a.is-active {
    @apply border-white;
  }
}

#block-author-profile-tabs .tabs > li a::after,
#block-basic-page-tabs .menu-item a::after {
  content: attr(data-title);
  height: 0;
  visibility: hidden;
  overflow: hidden;
  user-select: none;
  pointer-events: none;
  font-weight: 700;
}
@media speech {
  #block-author-profile-tabs .tabs > li a::after,
  #block-basic-page-tabs .menu-item a::after {
    display: none;
  }
}
